Bug 908741 - Maven repo zip for EAP 6.1.0, EAP 6.1.1, EAP 6.2.0 is missing source files
Summary: Maven repo zip for EAP 6.1.0, EAP 6.1.1, EAP 6.2.0 is missing source files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR3
: EAP 6.3.0
Assignee: Vladimir Dosoudil
QA Contact:
URL:
Whiteboard:
Depends On: 1019151 1022297 1022299 1022300 1022302 1022304 1022306 1022307 1022308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-07 12:17 UTC by Rostislav Svoboda
Modified: 2014-06-30 06:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:37:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 900570 None None None Never
Red Hat Bugzilla 901102 None None None Never
Red Hat Bugzilla 993521 None None None Never
Red Hat Bugzilla 1022249 None None None Never

Internal Links: 900570 901102 993521 1022249

Comment 1 Rostislav Svoboda 2013-02-14 11:06:05 UTC
DR4 results: 7 missing from 376
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-repository-maven-check-sources/22/testReport/

Comment 2 Rostislav Svoboda 2013-02-28 11:33:17 UTC
24 missing source files -- https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-repository-maven-check-sources/24/testReport/

This is problem for IDE integration, code coverage reports and javadoc zip bundle.

Missing source files for:

antlr-2.7.7-redhat-2.jar
asm-3.3.1-redhat-2.jar
dom4j-1.6.1-redhat-4.jar
ecj-3.7.2-redhat-1.jar
getopt-1.0.13-redhat-2.jar
hamcrest-core-1.1.jar
jacorb-2.3.2-redhat-1.jar
jaxb-impl-2.2.5-redhat-4.jar
jaxb-xjc-2.2.5-redhat-4.jar
jboss-as-client-all-7.2.0.Final-redhat-1.jar
jcip-annotations-1.0-redhat-3.jar
jdom-1.1.2-redhat-2.jar
jsf-api-1.2_15-b01-redhat-2.jar
jsf-impl-1.2_15-b01-redhat-2.jar
jsf-impl-2.1.18-redhat-1.jar
jsr181-api-1.0-MR1-redhat-2.jar
not-yet-commons-ssl-0.3.11-redhat-2.jar
org.osgi.compendium-4.2.0-redhat-2.jar
picketlink-jbas7-2.1.6.Final-redhat-1.jar
relaxngDatatype-2011.1-redhat-4.jar
stilts-stomplet-server-bundle-0.1.26-redhat-2.jar
xercesImpl-2.9.1-redhat-3.jar
xml-resolver-1.2-redhat-2.jar
xom-1.2.7-redhat-3.jar

Comment 3 Rostislav Svoboda 2013-03-08 08:58:59 UTC
33 failures for EAP 610 ER2

See https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-repository-maven-check-sources/25/testReport/

Comment 6 Rostislav Svoboda 2013-04-04 12:28:44 UTC
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-repository-maven-check-sources/27/testReport/ -- 29 failures for EAP 610 ER4

Comment 7 Rostislav Svoboda 2013-04-19 12:02:29 UTC
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-repository-maven-check-sources/28/testReport/ -- 22 failures in EAP 6.1.0 ER5

Comment 9 Rostislav Svoboda 2013-05-13 08:48:23 UTC
The same results in EAP 6.1.0 ER8 as in ER6.

Comment 10 Max Rydahl Andersen 2013-05-17 21:03:05 UTC
Why dont we go and open request on upstream projects to enable this by default for their projects? Making it better for all over time.

Comment 11 Paul Gier 2013-07-23 14:29:08 UTC
This is not going to make 6.1.1, but we should be able to finish this for 6.2.0.

Comment 13 Nikoleta Hlavickova 2013-08-01 13:07:07 UTC
There are new missing source files for EAP 6.1.1 ER4.
See report from Jenkins job for list of all 22 (of 361) missing items:
http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-sources/42/testReport/

Comment 14 Nikoleta Hlavickova 2013-08-16 07:05:26 UTC
Results in EAP 6.1.1 ER6 are the same as in ER4. 
See http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-sources/45/testReport/

Comment 15 Nikoleta Hlavickova 2013-08-22 11:55:53 UTC
1 new failure in EAP 6.1.1 ER7 -- org.osgi.compendium-4.2.0-redhat-2

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-sources/47/testReport/

Comment 20 Nikoleta Hlavickova 2013-10-21 08:03:55 UTC
Missing source files for 20 jars in EAP 6.2.0 ER6:

jboss-as-cli-7.3.0.Final-redhat-9-client.jar
jboss-as-client-all-7.3.0.Final-redhat-9.jar
jbossxts-4.17.12.Final-redhat-1-api.jar
release-stream-2.0.3.Final-redhat-1-resources.jar
jbossws-cxf-resources-4.2.1.Final-redhat-3-jboss720.jar
org.osgi.compendium-4.2.0-redhat-2.jar
xml-resolver-1.2-redhat-2.jar
asm-3.3.1-redhat-4.jar
jaxb-impl-2.2.5-redhat-5.jar
jaxb-xjc-2.2.5-redhat-5.jar
jsf-api-1.2_15-b01-redhat-3.jar
jsf-impl-1.2_15-b01-redhat-3.jar
xercesImpl-2.9.1-redhat-4.jar
dom4j-1.6.1-redhat-5.jar
jsf-impl-2.1.19-redhat-1.jar
antlr-2.7.7-redhat-2.jar
jcip-annotations-1.0-redhat-3.jar
jdom-1.1.2-redhat-2.jar
stilts-stomplet-server-bundle-0.1.26-redhat-2.jar
xom-1.2.7-redhat-3.jar

Comment 21 Nikoleta Hlavickova 2013-10-21 13:18:05 UTC
I did not noticed the classifiers. Two jars in my previous comment should not be included in the list:

jboss-as-cli-7.3.0.Final-redhat-9-client.jar (there is jboss-as-cli-7.3.0.Final-redhat-9-sources.jar)
jbossxts-4.17.12.Final-redhat-1-api.jar (there is jbossxts-4.17.12.Final-redhat-1-sources.jar)

All the others are missing sources.

Comment 22 Paul Gier 2013-10-23 02:08:30 UTC
This one doesn't have a source jar because it's an aggregate of other jars and needs to be deprecated from the Maven repo:
jboss-as-client-all-7.3.0.Final-redhat-9.jar

These ones are fixed already in ER7:
org.osgi.compendium-4.2.0-redhat-2.jar - bug 1022249
jsf-api-1.2_15-b01-redhat-3.jar - https://brewweb.devel.redhat.com/buildinfo?buildID=299864
jsf-impl-1.2_15-b01-redhat-3.jar

These ones were not automatically included because of the classifiers, but can be manually included in our maven repo zip:
jboss-as-cli-7.3.0.Final-redhat-9-client.jar 
jbossxts-4.17.12.Final-redhat-1-api.jar 
release-stream-2.0.3.Final-redhat-1-resources.jar 
jbossws-cxf-resources-4.2.1.Final-redhat-3-jboss720.jar 

These are duplicate versions that were needed for quickstarts, but should be excluded from the repo zip after updating quickstarts:
xml-resolver-1.2-redhat-2.jar - old version required by hibernate 4 quickstart
antlr-2.7.7-redhat-2.jar - duplicate manual include required by hibernate quickstart
jcip-annotations-1.0-redhat-3.jar - old jcip-annotations required by opensaml:xmltooling

I'll open separate bz issues for the remaining ones:
asm-3.3.1-redhat-4.jar 
jaxb-impl-2.2.5-redhat-5.jar 
jaxb-xjc-2.2.5-redhat-5.jar
xercesImpl-2.9.1-redhat-4.jar 
dom4j-1.6.1-redhat-5.jar
jsf-impl-2.1.19-redhat-1.jar 
jdom-1.1.2-redhat-2.jar 
stilts-stomplet-server-bundle-0.1.26-redhat-2.jar
xom-1.2.7-redhat-3.jar

Comment 23 Vladimir Dosoudil 2013-10-25 13:47:07 UTC
Blocking issues have been POSTed, PRs for EP have been sent for all of them.

Comment 24 Vladimir Dosoudil 2013-10-29 13:29:07 UTC
Fixing commits for all blocking issues have been merged into 6.x branch.

Comment 25 Nikoleta Hlavickova 2013-10-31 14:12:09 UTC
There are still jars without sources in EAP 6.2.0 ER7 Maven repo zip.

jars with classifiers:
jbossws-cxf-resources-4.2.2.Final-redhat-2-jboss720.jar
release-stream-2.0.5.Final-redhat-1-resources.jar

duplicate versions:
xml-resolver-1.2-redhat-2.jar
antlr-2.7.7-redhat-2.jar
jcip-annotations-1.0-redhat-3.jar
dom4j-1.6.1-redhat-5.jar

Comment 26 Vladimir Dosoudil 2013-10-31 14:17:23 UTC
hibernate4 quickstart still depends on
 * xml-resolver-1.2-redhat-2.jar
 * antlr-2.7.7-redhat-2.jar
 * dom4j-1.6.1-redhat-5.jar

jcip-annotations-1.0-redhat-3.jar removed within http://git.app.eng.bos.redhat.com/jboss-eap/maven-repository-testsuite.git/commit/?id=b9621f8ddc0bff6903b594cda0a52a54d43056a2

Comment 27 Paul Gier 2013-10-31 20:42:41 UTC
Added manual includes for the two missing source jars:
http://git.app.eng.bos.redhat.com/jboss-eap/maven-repository-testsuite.git/commit/?id=38aeeabbb1441fbf5b4953ae51a9e9efcba503b3

Comment 28 Nikoleta Hlavickova 2013-11-01 08:11:05 UTC
(In reply to Vladimir Dosoudil from comment #26)
> hibernate4 quickstart still depends on
>  * xml-resolver-1.2-redhat-2.jar
>  * antlr-2.7.7-redhat-2.jar
>  * dom4j-1.6.1-redhat-5.jar


These artifacts are included in Maven repository zip with multiple versions. The older version needed by quickstarts does not have sources jar but the one in EAP zip does. We will track this issues in BZ #993521 as duplicated artifacts in Maven repository zip.

Comment 29 Nikoleta Hlavickova 2013-11-01 08:13:49 UTC
(In reply to Paul Gier from comment #22)
> This one doesn't have a source jar because it's an aggregate of other jars
> and needs to be deprecated from the Maven repo:
> jboss-as-client-all-7.3.0.Final-redhat-9.jar


I will treat this one as expected to be without sources jar until it is deprecated.

Comment 30 Nikoleta Hlavickova 2013-11-01 08:16:21 UTC
All jars in Maven repo zip except the 4 in comment #28 and comment #29 have sources.

Verified for EAP 6.2.0 ER7.1.

Comment 31 Nikoleta Hlavickova 2013-11-08 09:15:06 UTC
Some of the blocking issues failed QA so I am reopening this too.

NOTE: I verified this only by checking that all jar files in Maven repo zip have corresponding -sources.jar. There are some problems with -sources.jar files without source files in it. Sorry for confusion.

Comment 32 Paul Gier 2013-11-09 17:37:42 UTC
I'm moving this one back to VERIFIED state, since the source jars have been created, and I don't think we should block the release for a few bad source jars.  

For the source jars that are not correct such as bug 1019151, we'll have to evaluate them individually about whether they should block the release and can be fixed in time.

Comment 33 Rostislav Svoboda 2013-11-11 07:53:50 UTC
Hi, moving back to ASSIGNED as there are still some missing sources jars. It's QE team job and responsibility to verify and mark BZ as verified.

Removing blocker flag as I don't think we should block the release for these few missing sources.

Comment 34 Nikoleta Hlavickova 2014-02-12 14:22:58 UTC
Verified with EAP 6.2.0 CR3


Note You need to log in before you can comment on or make changes to this bug.